From 1a1a108802b786e5383078087f7c098ff9b50861 Mon Sep 17 00:00:00 2001
From: Wang Wei <wangw.fnst@fujitsu.com>
Date: Fri, 10 Mar 2023 15:08:40 +0800
Subject: [PATCH v7 1/6] Remove SyncRepRequested() check from
 WalSndUpdateProgress()

Individual users or transactions could enable syncrep but the GUC is
disabled. In the worst case, we will miss sending a keepalive.
---
 src/backend/replication/walsender.c | 1 -
 1 file changed, 1 deletion(-)

diff --git a/src/backend/replication/walsender.c b/src/backend/replication/walsender.c
index 75e8363e24..8686f53bb4 100644
--- a/src/backend/replication/walsender.c
+++ b/src/backend/replication/walsender.c
@@ -1497,7 +1497,6 @@ WalSndUpdateProgress(LogicalDecodingContext *ctx, XLogRecPtr lsn, TransactionId
 	 * really not required.
 	 */
 	if (skipped_xact &&
-		SyncRepRequested() &&
 		((volatile WalSndCtlData *) WalSndCtl)->sync_standbys_defined)
 	{
 		WalSndKeepalive(false, lsn);
-- 
2.39.1.windows.1

